Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class SvcMsgResponse

`java.lang.Object
oracle.jbo.common.SvcMsgResponse`

All Implemented Interfaces:
  Response, java.io.Serializable

Direct Known Subclasses:
  SvcMethodResponse, SvcMsgResponseByValueRowSet, SvcMsgResponseException, SvcMsgResponseNavig, SvcMsgResponseRef, SvcMsgResponseRowEvent, SvcMsgResponseValues

public class SvcMsgResponse
extends java.lang.Object
implements Response

See Also:
  Serialized Form

Field Summary
`static int` | `RES_ACTIVATE_STATE_2`
`static int` | `RES_ACTIVATE_STATE_FOR_UNDO`
`static int` | `RES_ACTIVATE_STATE_WITH_INFO`
`static int` | `RES_ADD_DYNAMIC_ATTR`
`static int` | `RES_ADD_VARIABLE`
`static int` | `RES_ALL_APP_MOD_DEF_NAMES`
`static int` | `RES_ALL_ENTITY_ASSOC_DEF_NAMES`
`static int` | `RES_ALL_ENTITY_DEF_NAMES`
`static int` | `RES_ALL_VIEW_DEF_NAMES`
`static int` | `RES_ALL_VIEW_LINK_DEF_NAMES`
`static int` | `RES_APP_MOD_CLOSED`
`static int` | `RES_APP_MOD_DEF_NAMES`
`static int` | `RES_APP_MOD_NAMES`
`static int` | `RES_APPLICATION_MODULE`
`static int` | `RES_BEGIN_DETAIL_ROWSETS`
`static int` | `RES_CANCEL_DML_OPERATIONS`
`static int` | `RES_CANCEL_QUERY`
`static int` | `RES_COMPONENT_OBJECT`
`static int` | `RES_CREATE_AND_INIT_ROW`
`static int` | `RES_CREATE_ROW`
`static int` | `RES_DETAIL_ROWSET`
`static int` | `RES_DO_POOL_MESSAGE`
`static int` | `RES_DUMP_QUERY_RESULT`
`static int` | `RES_END_DETAIL_ROWSETS`
`static int` | `RES_END_EXECUTE_MARKER`
`static int` | `RES_ENTITY_ASSOC_DEF_NAMES`
`static int` | `RES_ENTITY_DEF_NAMES`
`static int` | `RES_EVENT`
`static int` | `RES_EXCEPTION`
`static int` | `RES_EXECUTE_COMMAND`
`static int` | `RES_FETCH_ATTR_PROPS`
`static int` | `RES_FETCHED_ROW_COUNT`
`static int` | `RES_FIND_BY_ENTITY`
`static int` | `RES_FIND_BY_KEY`
`static int` | `RES_FIND_VIEW_LINK_ACCESSOR`
`static int` | `RES_FIND_VIEW_OBJECT_USING_ENTITY`
`static int` | `RES_FINISH_SYNC_WORKING_SET`
`static int` | `RES_FIRST`
`static int` | `RES_GET_ACCESS_MODE`
`static int` | `RES_GET_ATTR_INDICES_FOR_ENTITY_ATTR`
`static int` | `RES_GET_ATTRIBUTE_DEF_INFO`
`static int` | `RES_GET_CONNECTION_MD`
`static int` | `RES_GET_CURRENT_ROW`
`static int` | `RES_GET_DML_OPERATION_TIMEOUT`
`static int` | `RES_GET_DOMAIN_VALUE`
`static int` | `RES_GET_ESTIMATED_ROW_COUNT`
`static int` | `RES_GET_ITER_MODE`
`static int` | `RES_GET_LOCALE`
`static int` | `RES_GET_LOCKING_MODE`
`static int` | `RES_GET_MAX_FETCH_SIZE`
`static int` | `RES_GET_MOST_RECENT_STACK_ID`
`static int` | `RES_GET_ORDER_BY_CLAUSE`
`static int` | `RES_GET_PROPERTIES`
`static int` | `RES_GET_QUERY`
`static int` | `RES_GET_QUERY_MODE`
`static int` | `RES_GET_QUERY_OPTIMIZER_HINT`
`static int` | `RES_GET_QUERY_TIMEOUT`
`static int` | `RES_GET_RANGE_START`
`static int` | `RES_GET_ROW_BY_KEY`
`static int` | `RES_GET_ROW_FROM_HANDLE`
`static int` | `RES_GET_ROW_MATCH`
`static int` | `RES_GET_ROW_VALIDATION`
`static int` | `RES_GET_SORT_BY`
`static int` | `RES_GET_STYLES`
`static int` | `RES_GET_VERSION`
`static int` | `RES_GET_VIEW_CRITERIA`
`static int` | `RES_GET_VO_ATTR_PROPERTIES`
`static int` | `RES_GET_VO_PROPERTIES`
`static int` | `RES_GET_WHERE_CLAUSE`
`static int` | `RES_GET_WHERE_CLAUSE_PARAMS`
`static int` | `RES_HAS_MORE_ROWS`
`static int` | `RES_INVOKE_DOMAIN_METHOD`
`static int` | `RES_IS_ATTR_UPDATEABLE`
`static int` | `RES_IS_BUNDLED_EXC_MODE`
`static int` | `RES_IS_CLEAR_CACHE_ON_COMMIT`
`static int` | `RES_IS_CLEAR_CACHE_ON_ROLLBACK`
`static int` | `RES_IS_CONNECTED`
`static int` | `RES_IS_EXECUTED`
`static int` | `RES_IS_FETCH_COMPLETE`
`static int` | `RES_IS_RANGE_AT`
`static int` | `RES_IS_TRANS_DIRTY`
`static int` | `RES_IS_VALID_ID_FOR_UNDO`
`static int` | `RES_ITERATOR_CLOSED`
`static int` | `RES_ITERATOR_RESET`
`static int` | `RES_JAAS_USER_ROLES`
`static int` | `RES_LAST`
`static int` | `RES_LOB_DOMAIN`
`static int` | `RES_MARSHALLED_DOMAIN_VALUE`
`static int` | `RES_MAX_FETCH_SIZE_EXCEEDED`
`static int` | `RES_METHOD_CALL_RETURN`
`static int` | `RES_NAVIGATED`
`static int` | `RES_NEXT`
`static int` | `RES_NEXT_RANGE_SET`
`static int` | `RES_NULL`
`static int` | `RES_PACKAGE_NAMES`
`static int` | `RES_PASSIVATE_STATE`
`static int` | `RES_PASSIVATE_STATE_2`
`static int` | `RES_PASSIVATE_STATE_FOR_UNDO`
`static int` | `RES_PASSIVATE_STATE_WITH_ID`
`static int` | `RES_PASSIVATE_STATE_WITH_ID_2`
`static int` | `RES_PREVIOUS`
`static int` | `RES_PREVIOUS_RANGE_SET`
`static int` | `RES_RANGE_REFRESHED`
`static int` | `RES_RANGE_SCROLLED`
`static int` | `RES_READ_LOB`
`static int` | `RES_REF_FOR_ACTIVATE`
`static int` | `RES_REF_OBJ_ARRAY`
`static int` | `RES_REF_OBJECT`
`static int` | `RES_REF_OBJECT_BEGIN`
`static int` | `RES_REF_OBJECT_END`
`static int` | `RES_REF_REMOTE_SERVER_AM`
`static int` | `RES_REFRESH_CACHE`
`static int` | `RES_REFRESH_DM_MARKER`
`static int` | `RES_REFRESH_PROPERTY`
`static int` | `RES_REFRESH_VARIABLES`
`static int` | `RES_REFRESH_VO_PROPERTY`
`static int` | `RES_REMOVE_VARIABLE`
`static int` | `RES_RESERVE_PASSIVATION_ID`
`static int` | `RES_RESERVE_SNAPSHOT_ID`
`static int` | `RES_RESET`
`static int` | `RES_ROW`
`static int` | `RES_ROW_COUNT`
`static int` | `RES_ROW_COUNT_IN_RANGE`
`static int` | `RES_ROW_IS_DEAD`
`static int` | `RES_ROW_SET`
`static int` | `RES_ROW_SET_ITERATOR`
`static int` | `RES_ROWSET_CLOSED`
`static int` | `RES_SCROLL`
`static int` | `RES_SERIALIZED_DOMAIN_VALUE`
`static int` | `RES_SET_ACCESS_MODE`
`static int` | `RES_SET_CURRENT_ROW`
`static int` | `RES_SET_CURRENT_ROW_AT_RANGE_INDEX`
`static int` | `RES_SNAP_ID`
`static int` | `RES_SYNC_ROT_REQUIRED`
`static int` | `RES_SYNC_WORKING_SET`
`static int` | `RES_TRANS_COMMITTED`
`static int` | `RES_TRANS_POST_GET_ATTR`
`static int` | `RES_TRANS_ROLLED_BACK`
`static int` | `RES_TRANSFORM_EXCEPTION_PARAMS`
`static int` | `RES_VIEW_CACHE_CLEARED`
`static int` | `RES_VIEW_DEF`
`static int` | `RES_VIEW_DEF_NAMES`
`static int` | `RES_VIEW_LINK`
`static int` | `RES_VIEW_LINK_DEF_NAMES`
`static int` | `RES_VIEW_LINK_NAMES`
`static int` | `RES_VIEW_OBJECT`
`static int` | `RES_VIEW_OBJECT_CLOSED`
`static int` | `RES_VIEW_OBJECT_NAMES`
`static int` | `RES_WORKING_SET_AM`
`static int` | `RES_WORKING_SET_RSI`
`static int` | `RES_WRITE_ROW_XML`
`static int` | `RES_WRITE_ROW_XML_WITH_MAP`
`static int` | `RES_WRITE_ROWSET_XML`
`static int` | `RES_WRITE_ROWSET_XML_WITH_MAP`

Constructor Summary
`SvcMsgResponse(int oper, java.lang.String resName)`

Method Summary
`java.lang.String` | `getName()` Returns the name of this response.
`int` | `getOperation()` Returns the id that identifies this response.
`boolean` | `isReference()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RES_RANGE_REFRESHED

    public static final int RES_RANGE_REFRESHED

  See Also:
    Constant Field Values

### RES_RANGE_SCROLLED

    public static final int RES_RANGE_SCROLLED

  See Also:
    Constant Field Values

### RES_NAVIGATED

    public static final int RES_NAVIGATED

  See Also:
    Constant Field Values

### RES_ITERATOR_RESET

    public static final int RES_ITERATOR_RESET

  See Also:
    Constant Field Values

### RES_ITERATOR_CLOSED

    public static final int RES_ITERATOR_CLOSED

  See Also:
    Constant Field Values

### RES_FIRST

    public static final int RES_FIRST

  See Also:
    Constant Field Values

### RES_PREVIOUS

    public static final int RES_PREVIOUS

  See Also:
    Constant Field Values

### RES_NEXT

    public static final int RES_NEXT

  See Also:
    Constant Field Values

### RES_LAST

    public static final int RES_LAST

  See Also:
    Constant Field Values

### RES_SET_CURRENT_ROW_AT_RANGE_INDEX

    public static final int RES_SET_CURRENT_ROW_AT_RANGE_INDEX

  See Also:
    Constant Field Values

### RES_SET_CURRENT_ROW

    public static final int RES_SET_CURRENT_ROW

  See Also:
    Constant Field Values

### RES_GET_CURRENT_ROW

    public static final int RES_GET_CURRENT_ROW

  See Also:
    Constant Field Values

### RES_GET_ROW_FROM_HANDLE

    public static final int RES_GET_ROW_FROM_HANDLE

  See Also:
    Constant Field Values

### RES_NEXT_RANGE_SET

    public static final int RES_NEXT_RANGE_SET

  See Also:
    Constant Field Values

### RES_PREVIOUS_RANGE_SET

    public static final int RES_PREVIOUS_RANGE_SET

  See Also:
    Constant Field Values

### RES_RESET

    public static final int RES_RESET

  See Also:
    Constant Field Values

### RES_REFRESH_CACHE

    public static final int RES_REFRESH_CACHE

  See Also:
    Constant Field Values

### RES_ROW_COUNT_IN_RANGE

    public static final int RES_ROW_COUNT_IN_RANGE

  See Also:
    Constant Field Values

### RES_GET_RANGE_START

    public static final int RES_GET_RANGE_START

  See Also:
    Constant Field Values

### RES_HAS_MORE_ROWS

    public static final int RES_HAS_MORE_ROWS

  See Also:
    Constant Field Values

### RES_IS_RANGE_AT

    public static final int RES_IS_RANGE_AT

  See Also:
    Constant Field Values

### RES_SCROLL

    public static final int RES_SCROLL

  See Also:
    Constant Field Values

### RES_ROW_COUNT

    public static final int RES_ROW_COUNT

  See Also:
    Constant Field Values

### RES_FETCHED_ROW_COUNT

    public static final int RES_FETCHED_ROW_COUNT

  See Also:
    Constant Field Values

### RES_GET_ITER_MODE

    public static final int RES_GET_ITER_MODE

  See Also:
    Constant Field Values

### RES_GET_ROW_BY_KEY

    public static final int RES_GET_ROW_BY_KEY

  See Also:
    Constant Field Values

### RES_FIND_BY_KEY

    public static final int RES_FIND_BY_KEY

  See Also:
    Constant Field Values

### RES_FIND_BY_ENTITY

    public static final int RES_FIND_BY_ENTITY

  See Also:
    Constant Field Values

### RES_IS_ATTR_UPDATEABLE

    public static final int RES_IS_ATTR_UPDATEABLE

  See Also:
    Constant Field Values

### RES_CREATE_ROW

    public static final int RES_CREATE_ROW

  See Also:
    Constant Field Values

### RES_CREATE_AND_INIT_ROW

    public static final int RES_CREATE_AND_INIT_ROW

  See Also:
    Constant Field Values

### RES_READ_LOB

    public static final int RES_READ_LOB

  See Also:
    Constant Field Values

### RES_WRITE_ROW_XML

    public static final int RES_WRITE_ROW_XML

  See Also:
    Constant Field Values

### RES_WRITE_ROW_XML_WITH_MAP

    public static final int RES_WRITE_ROW_XML_WITH_MAP

  See Also:
    Constant Field Values

### RES_GET_ROW_VALIDATION

    public static final int RES_GET_ROW_VALIDATION

  See Also:
    Constant Field Values

### RES_ROW_IS_DEAD

    public static final int RES_ROW_IS_DEAD

  See Also:
    Constant Field Values

### RES_IS_EXECUTED

    public static final int RES_IS_EXECUTED

  See Also:
    Constant Field Values

### RES_GET_ESTIMATED_ROW_COUNT

    public static final int RES_GET_ESTIMATED_ROW_COUNT

  See Also:
    Constant Field Values

### RES_IS_FETCH_COMPLETE

    public static final int RES_IS_FETCH_COMPLETE

  See Also:
    Constant Field Values

### RES_GET_WHERE_CLAUSE_PARAMS

    public static final int RES_GET_WHERE_CLAUSE_PARAMS

  See Also:
    Constant Field Values

### RES_WRITE_ROWSET_XML

    public static final int RES_WRITE_ROWSET_XML

  See Also:
    Constant Field Values

### RES_WRITE_ROWSET_XML_WITH_MAP

    public static final int RES_WRITE_ROWSET_XML_WITH_MAP

  See Also:
    Constant Field Values

### RES_GET_ACCESS_MODE

    public static final int RES_GET_ACCESS_MODE

  See Also:
    Constant Field Values

### RES_SET_ACCESS_MODE

    public static final int RES_SET_ACCESS_MODE

  See Also:
    Constant Field Values

### RES_ROWSET_CLOSED

    public static final int RES_ROWSET_CLOSED

  See Also:
    Constant Field Values

### RES_MAX_FETCH_SIZE_EXCEEDED

    public static final int RES_MAX_FETCH_SIZE_EXCEEDED

  See Also:
    Constant Field Values

### RES_VIEW_OBJECT_CLOSED

    public static final int RES_VIEW_OBJECT_CLOSED

  See Also:
    Constant Field Values

### RES_GET_QUERY

    public static final int RES_GET_QUERY

  See Also:
    Constant Field Values

### RES_GET_WHERE_CLAUSE

    public static final int RES_GET_WHERE_CLAUSE

  See Also:
    Constant Field Values

### RES_GET_ORDER_BY_CLAUSE

    public static final int RES_GET_ORDER_BY_CLAUSE

  See Also:
    Constant Field Values

### RES_GET_ATTRIBUTE_DEF_INFO

    public static final int RES_GET_ATTRIBUTE_DEF_INFO

  See Also:
    Constant Field Values

### RES_ADD_DYNAMIC_ATTR

    public static final int RES_ADD_DYNAMIC_ATTR

  See Also:
    Constant Field Values

### RES_GET_ATTR_INDICES_FOR_ENTITY_ATTR

    public static final int RES_GET_ATTR_INDICES_FOR_ENTITY_ATTR

  See Also:
    Constant Field Values

### RES_GET_MAX_FETCH_SIZE

    public static final int RES_GET_MAX_FETCH_SIZE

  See Also:
    Constant Field Values

### RES_GET_QUERY_OPTIMIZER_HINT

    public static final int RES_GET_QUERY_OPTIMIZER_HINT

  See Also:
    Constant Field Values

### RES_FIND_VIEW_LINK_ACCESSOR

    public static final int RES_FIND_VIEW_LINK_ACCESSOR

  See Also:
    Constant Field Values

### RES_GET_VIEW_CRITERIA

    public static final int RES_GET_VIEW_CRITERIA

  See Also:
    Constant Field Values

### RES_DETAIL_ROWSET

    public static final int RES_DETAIL_ROWSET

  See Also:
    Constant Field Values

### RES_REFRESH_DM_MARKER

    public static final int RES_REFRESH_DM_MARKER

  See Also:
    Constant Field Values

### RES_END_EXECUTE_MARKER

    public static final int RES_END_EXECUTE_MARKER

  See Also:
    Constant Field Values

### RES_GET_ROW_MATCH

    public static final int RES_GET_ROW_MATCH

  See Also:
    Constant Field Values

### RES_GET_QUERY_MODE

    public static final int RES_GET_QUERY_MODE

  See Also:
    Constant Field Values

### RES_APP_MOD_NAMES

    public static final int RES_APP_MOD_NAMES

  See Also:
    Constant Field Values

### RES_VIEW_OBJECT_NAMES

    public static final int RES_VIEW_OBJECT_NAMES

  See Also:
    Constant Field Values

### RES_VIEW_LINK_NAMES

    public static final int RES_VIEW_LINK_NAMES

  See Also:
    Constant Field Values

### RES_PACKAGE_NAMES

    public static final int RES_PACKAGE_NAMES

  See Also:
    Constant Field Values

### RES_APP_MOD_DEF_NAMES

    public static final int RES_APP_MOD_DEF_NAMES

  See Also:
    Constant Field Values

### RES_ALL_APP_MOD_DEF_NAMES

    public static final int RES_ALL_APP_MOD_DEF_NAMES

  See Also:
    Constant Field Values

### RES_ENTITY_DEF_NAMES

    public static final int RES_ENTITY_DEF_NAMES

  See Also:
    Constant Field Values

### RES_ALL_ENTITY_DEF_NAMES

    public static final int RES_ALL_ENTITY_DEF_NAMES

  See Also:
    Constant Field Values

### RES_VIEW_DEF_NAMES

    public static final int RES_VIEW_DEF_NAMES

  See Also:
    Constant Field Values

### RES_ALL_VIEW_DEF_NAMES

    public static final int RES_ALL_VIEW_DEF_NAMES

  See Also:
    Constant Field Values

### RES_ENTITY_ASSOC_DEF_NAMES

    public static final int RES_ENTITY_ASSOC_DEF_NAMES

  See Also:
    Constant Field Values

### RES_ALL_ENTITY_ASSOC_DEF_NAMES

    public static final int RES_ALL_ENTITY_ASSOC_DEF_NAMES

  See Also:
    Constant Field Values

### RES_VIEW_LINK_DEF_NAMES

    public static final int RES_VIEW_LINK_DEF_NAMES

  See Also:
    Constant Field Values

### RES_ALL_VIEW_LINK_DEF_NAMES

    public static final int RES_ALL_VIEW_LINK_DEF_NAMES

  See Also:
    Constant Field Values

### RES_APP_MOD_CLOSED

    public static final int RES_APP_MOD_CLOSED

  See Also:
    Constant Field Values

### RES_FIND_VIEW_OBJECT_USING_ENTITY

    public static final int RES_FIND_VIEW_OBJECT_USING_ENTITY

  See Also:
    Constant Field Values

### RES_METHOD_CALL_RETURN

    public static final int RES_METHOD_CALL_RETURN

  See Also:
    Constant Field Values

### RES_TRANSFORM_EXCEPTION_PARAMS

    public static final int RES_TRANSFORM_EXCEPTION_PARAMS

  See Also:
    Constant Field Values

### RES_SYNC_WORKING_SET

    public static final int RES_SYNC_WORKING_SET

  See Also:
    Constant Field Values

### RES_GET_VERSION

    public static final int RES_GET_VERSION

  See Also:
    Constant Field Values

### RES_GET_LOCALE

    public static final int RES_GET_LOCALE

  See Also:
    Constant Field Values

### RES_GET_STYLES

    public static final int RES_GET_STYLES

  See Also:
    Constant Field Values

### RES_GET_PROPERTIES

    public static final int RES_GET_PROPERTIES

  See Also:
    Constant Field Values

### RES_REFRESH_PROPERTY

    public static final int RES_REFRESH_PROPERTY

  See Also:
    Constant Field Values

### RES_GET_VO_PROPERTIES

    public static final int RES_GET_VO_PROPERTIES

  See Also:
    Constant Field Values

### RES_REFRESH_VO_PROPERTY

    public static final int RES_REFRESH_VO_PROPERTY

  See Also:
    Constant Field Values

### RES_GET_VO_ATTR_PROPERTIES

    public static final int RES_GET_VO_ATTR_PROPERTIES

  See Also:
    Constant Field Values

### RES_FETCH_ATTR_PROPS

    public static final int RES_FETCH_ATTR_PROPS

  See Also:
    Constant Field Values

### RES_GET_DOMAIN_VALUE

    public static final int RES_GET_DOMAIN_VALUE

  See Also:
    Constant Field Values

### RES_INVOKE_DOMAIN_METHOD

    public static final int RES_INVOKE_DOMAIN_METHOD

  See Also:
    Constant Field Values

### RES_MARSHALLED_DOMAIN_VALUE

    public static final int RES_MARSHALLED_DOMAIN_VALUE

  See Also:
    Constant Field Values

### RES_SERIALIZED_DOMAIN_VALUE

    public static final int RES_SERIALIZED_DOMAIN_VALUE

  See Also:
    Constant Field Values

### RES_RESERVE_PASSIVATION_ID

    public static final int RES_RESERVE_PASSIVATION_ID

  See Also:
    Constant Field Values

### RES_PASSIVATE_STATE_WITH_ID

    public static final int RES_PASSIVATE_STATE_WITH_ID

  See Also:
    Constant Field Values

### RES_PASSIVATE_STATE

    public static final int RES_PASSIVATE_STATE

  See Also:
    Constant Field Values

### RES_ACTIVATE_STATE_WITH_INFO

    public static final int RES_ACTIVATE_STATE_WITH_INFO

  See Also:
    Constant Field Values

### RES_PASSIVATE_STATE_2

    public static final int RES_PASSIVATE_STATE_2

  See Also:
    Constant Field Values

### RES_PASSIVATE_STATE_WITH_ID_2

    public static final int RES_PASSIVATE_STATE_WITH_ID_2

  See Also:
    Constant Field Values

### RES_ACTIVATE_STATE_2

    public static final int RES_ACTIVATE_STATE_2

  See Also:
    Constant Field Values

### RES_GET_MOST_RECENT_STACK_ID

    public static final int RES_GET_MOST_RECENT_STACK_ID

  See Also:
    Constant Field Values

### RES_RESERVE_SNAPSHOT_ID

    public static final int RES_RESERVE_SNAPSHOT_ID

  See Also:
    Constant Field Values

### RES_JAAS_USER_ROLES

    public static final int RES_JAAS_USER_ROLES

  See Also:
    Constant Field Values

### RES_PASSIVATE_STATE_FOR_UNDO

    public static final int RES_PASSIVATE_STATE_FOR_UNDO

  See Also:
    Constant Field Values

### RES_ACTIVATE_STATE_FOR_UNDO

    public static final int RES_ACTIVATE_STATE_FOR_UNDO

  See Also:
    Constant Field Values

### RES_IS_VALID_ID_FOR_UNDO

    public static final int RES_IS_VALID_ID_FOR_UNDO

  See Also:
    Constant Field Values

### RES_FINISH_SYNC_WORKING_SET

    public static final int RES_FINISH_SYNC_WORKING_SET

  See Also:
    Constant Field Values

### RES_SYNC_ROT_REQUIRED

    public static final int RES_SYNC_ROT_REQUIRED

  See Also:
    Constant Field Values

### RES_SNAP_ID

    public static final int RES_SNAP_ID

  See Also:
    Constant Field Values

### RES_IS_TRANS_DIRTY

    public static final int RES_IS_TRANS_DIRTY

  See Also:
    Constant Field Values

### RES_EXECUTE_COMMAND

    public static final int RES_EXECUTE_COMMAND

  See Also:
    Constant Field Values

### RES_DUMP_QUERY_RESULT

    public static final int RES_DUMP_QUERY_RESULT

  See Also:
    Constant Field Values

### RES_IS_CONNECTED

    public static final int RES_IS_CONNECTED

  See Also:
    Constant Field Values

### RES_GET_CONNECTION_MD

    public static final int RES_GET_CONNECTION_MD

  See Also:
    Constant Field Values

### RES_GET_LOCKING_MODE

    public static final int RES_GET_LOCKING_MODE

  See Also:
    Constant Field Values

### RES_IS_BUNDLED_EXC_MODE

    public static final int RES_IS_BUNDLED_EXC_MODE

  See Also:
    Constant Field Values

### RES_IS_CLEAR_CACHE_ON_COMMIT

    public static final int RES_IS_CLEAR_CACHE_ON_COMMIT

  See Also:
    Constant Field Values

### RES_IS_CLEAR_CACHE_ON_ROLLBACK

    public static final int RES_IS_CLEAR_CACHE_ON_ROLLBACK

  See Also:
    Constant Field Values

### RES_TRANS_POST_GET_ATTR

    public static final int RES_TRANS_POST_GET_ATTR

  See Also:
    Constant Field Values

### RES_DO_POOL_MESSAGE

    public static final int RES_DO_POOL_MESSAGE

  See Also:
    Constant Field Values

### RES_TRANS_COMMITTED

    public static final int RES_TRANS_COMMITTED

  See Also:
    Constant Field Values

### RES_TRANS_ROLLED_BACK

    public static final int RES_TRANS_ROLLED_BACK

  See Also:
    Constant Field Values

### RES_VIEW_CACHE_CLEARED

    public static final int RES_VIEW_CACHE_CLEARED

  See Also:
    Constant Field Values

### RES_GET_DML_OPERATION_TIMEOUT

    public static final int RES_GET_DML_OPERATION_TIMEOUT

  See Also:
    Constant Field Values

### RES_CANCEL_DML_OPERATIONS

    public static final int RES_CANCEL_DML_OPERATIONS

  See Also:
    Constant Field Values

### RES_REF_OBJECT_BEGIN

    public static final int RES_REF_OBJECT_BEGIN

  See Also:
    Constant Field Values

### RES_REF_OBJECT

    public static final int RES_REF_OBJECT

  See Also:
    Constant Field Values

### RES_REF_OBJ_ARRAY

    public static final int RES_REF_OBJ_ARRAY

  See Also:
    Constant Field Values

### RES_NULL

    public static final int RES_NULL

  See Also:
    Constant Field Values

### RES_ROW_SET_ITERATOR

    public static final int RES_ROW_SET_ITERATOR

  See Also:
    Constant Field Values

### RES_ROW_SET

    public static final int RES_ROW_SET

  See Also:
    Constant Field Values

### RES_VIEW_OBJECT

    public static final int RES_VIEW_OBJECT

  See Also:
    Constant Field Values

### RES_VIEW_LINK

    public static final int RES_VIEW_LINK

  See Also:
    Constant Field Values

### RES_COMPONENT_OBJECT

    public static final int RES_COMPONENT_OBJECT

  See Also:
    Constant Field Values

### RES_APPLICATION_MODULE

    public static final int RES_APPLICATION_MODULE

  See Also:
    Constant Field Values

### RES_ROW

    public static final int RES_ROW

  See Also:
    Constant Field Values

### RES_LOB_DOMAIN

    public static final int RES_LOB_DOMAIN

  See Also:
    Constant Field Values

### RES_BEGIN_DETAIL_ROWSETS

    public static final int RES_BEGIN_DETAIL_ROWSETS

  See Also:
    Constant Field Values

### RES_END_DETAIL_ROWSETS

    public static final int RES_END_DETAIL_ROWSETS

  See Also:
    Constant Field Values

### RES_VIEW_DEF

    public static final int RES_VIEW_DEF

  See Also:
    Constant Field Values

### RES_WORKING_SET_RSI

    public static final int RES_WORKING_SET_RSI

  See Also:
    Constant Field Values

### RES_EXCEPTION

    public static final int RES_EXCEPTION

  See Also:
    Constant Field Values

### RES_EVENT

    public static final int RES_EVENT

  See Also:
    Constant Field Values

### RES_REF_REMOTE_SERVER_AM

    public static final int RES_REF_REMOTE_SERVER_AM

  See Also:
    Constant Field Values

### RES_REF_FOR_ACTIVATE

    public static final int RES_REF_FOR_ACTIVATE

  See Also:
    Constant Field Values

### RES_WORKING_SET_AM

    public static final int RES_WORKING_SET_AM

  See Also:
    Constant Field Values

### RES_REF_OBJECT_END

    public static final int RES_REF_OBJECT_END

  See Also:
    Constant Field Values

### RES_REFRESH_VARIABLES

    public static final int RES_REFRESH_VARIABLES

  See Also:
    Constant Field Values

### RES_ADD_VARIABLE

    public static final int RES_ADD_VARIABLE

  See Also:
    Constant Field Values

### RES_REMOVE_VARIABLE

    public static final int RES_REMOVE_VARIABLE

  See Also:
    Constant Field Values

### RES_GET_SORT_BY

    public static final int RES_GET_SORT_BY

  See Also:
    Constant Field Values

### RES_GET_QUERY_TIMEOUT

    public static final int RES_GET_QUERY_TIMEOUT

  See Also:
    Constant Field Values

### RES_CANCEL_QUERY

    public static final int RES_CANCEL_QUERY

  See Also:
    Constant Field Values

Constructor Detail

### SvcMsgResponse

    public SvcMsgResponse(int oper,
                          java.lang.String resName)

Method Detail

### getOperation

    public int getOperation()

  Description copied from interface: `Response`
  Returns the id that identifies this response.
  Specified by:
    `getOperation` in interface `Response`
  Returns:
    the response operation id.

### getName

    public java.lang.String getName()

  Description copied from interface: `Response`
  Returns the name of this response. This name should match the name of the request that generated this response.
  Specified by:
    `getName` in interface `Response`
  Returns:
    the name of the request that generated this response.

### isReference

    public boolean isReference()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.